
#ifndef __CALL_BACKS_H__
#define __CALL_BACKS_H__

#include <gnome.h>
#include "gnome-peercast.h"

/* misc */
gboolean gp_quit_app (GtkWidget *, gpointer);
void log_clear_cb (GtkWidget *, gpointer);

/* Menu */
void menu_about_cb (GtkMenuItem *, GnomePeercastApp *);
void menu_pref_cb (GtkToolButton *, GnomePeercastApp *);
void menu_quit_cb (GtkMenuItem *, GnomePeercastApp *);
void menu_web_cb (GtkMenuItem *, GnomePeercastApp *);
void menu_yp_cb (GtkMenuItem *, GnomePeercastApp *);
void menu_new_cb (GtkMenuItem *, GnomePeercastApp *);

/* Channel List */
void chan_selection_changed_cb (GtkTreeSelection *, gpointer);
void chan_stop_cb (GtkWidget *, ChannelList *);
void chan_bump_cb (GtkWidget *, ChannelList *);
void chan_url_cb (GtkWidget *, ChannelList *);
void chan_info_cb (GtkWidget *, ChannelList *);
void chan_play_cb (GtkWidget *, ChannelList *);

/* Channel List popup menu */
void chan_play_stream_url_cb (GtkWidget *, ChannelList *);
void chan_copy_peercast_url_cb (GtkWidget *w, ChannelList *cl);
void chan_copy_local_url_cb (GtkWidget *w, ChannelList *cl);
void chan_copy_global_url_cb (GtkWidget *w, ChannelList *cl);
void chan_copy_channel_id_cb (GtkWidget *w, ChannelList *cl);

/* Connection List */
void con_selection_changed_cb (GtkTreeSelection *, gpointer);
void con_stop_cb (GtkToolButton *, gpointer);

#endif
